# MainDashboardButton

This slot allows replacing the default main dashboard button that's used for closing
the editor in fullscreen mode.

## Example

```js
import { registerPlugin } from '@wordpress/plugins';
import {
	__experimentalMainDashboardButton as MainDashboardButton,
} from '@wordpress/interface';

const MainDashboardButtonTest = () => (
    <MainDashboardButton>
        Custom main dashboard button content
    </MainDashboardButton>
);

registerPlugin( 'main-dashboard-button-test', {
	render: MainDashboardButtonTest,
} );
```

If your goal is just to replace the icon of the existing button, that can be achieved
in the following way:

```js
import { registerPlugin } from '@wordpress/plugins';
import {
	__experimentalFullscreenModeClose as FullscreenModeClose,
} from '@wordpress/edit-site';
import {
	__experimentalMainDashboardButton as MainDashboardButton,
} from '@wordpress/interface';
import { close } from '@wordpress/icons';


const MainDashboardButtonIconTest = () => (
    <MainDashboardButton>
        <FullscreenModeClose icon={ close } />
    </MainDashboardButton>
);

registerPlugin( 'main-dashboard-button-icon-test', {
	render: MainDashboardButtonIconTest,
} );
```
